SolidWorks如何利用宏代码将工程图另存为PDF?

SolidWorks的宏功能很强大,在进行重复性操作时,可以帮我们节省很多时间。下面我简单介绍如何利用宏代码将SolidWorks工程图另存为PDF文件,同时为宏创建按钮和快捷键。

1.首先我们新建一个宏。点击【工具】-【宏】-【新建】,如下图所示。

设置宏文件名称为:convertPDF.swp。

将下面的代码复制到文件中。

Sub main()

Dim swApp As SldWorks.SldWorks
Dim swModel As SldWorks.ModelDoc2
Dim swExportPDFData As SldWorks.ExportPdfData
Dim strFilename As String
Dim status As Boolean
Dim errors As Long, warnings As Long

Set swApp = Application.SldWorks
Set swModel = swApp.ActiveDoc

'Save
status = swModel.Save3(swSaveAsOptions_e.swSaveAsOptions_Silent, errors, warnings)

'Export to PDF if it is a drawing
If (swModel.GetType = swDocDRAWING) Then

strFilename = swModel.GetPathName
strFilename = Left(strFilename, Len(strFilename) - 6) & "pdf"
Set swExportPDFData = swApp.GetExportFileData(1)
swModel.Extension.SaveAs strFilename, 0, 0, swExportPDFData, 0, 0

End If

End Sub

将代码进行保存。

2.为宏创建按钮。方法参考:SolidWorks如何给宏添加按钮?

按照下图设置宏按钮,将其添加到菜单栏上。

3.为宏创建快捷键。点击工具>自定义,在键盘选项卡滚动到最底部,找到我们的宏,如下图所示。

设置这个宏的快捷键为:Shift+P,如下图所示。

4.新建一个工程图,如下图所示。

5.使用快捷键Shift+P或者点击菜单栏的宏按钮即可在当前文件夹生成工程图的PDF文件。

注意:工程图文件的名称必须是英文,不能是中文或者包含特殊的字符,否则无法运行。

  • Proe知识
  • 扫二维码关注微信公众号
  • weinxin
  • SolidWorks技巧
  • 扫二维码关注微信公众号
  • weinxin
  • 本文由 发表于 2020年10月15日23:39:46
  • 除非特殊声明,本站文章均为原创,转载请务必保留本文链接
SolidWorks建模练习(48):线圈 SW建模

SolidWorks建模练习(48):线圈

最终结果如下图所示: 方法: 1.点击拉伸凸台/基体,选择前视基准面作为草图平面,绘制如下图所示的草图。 设置两侧对称拉伸,设置拉伸深度为1...
SolidWorks建模练习(45):8字环 SW建模

SolidWorks建模练习(45):8字环

最终结果如下图所示: 文章末尾下载模型 方法: 1.点击“草图”按钮,选择前视基准面作为草绘平面,绘制如下图所示的草图。 2.再次点击“草图...

您必须才能发表评论!